Subject: Re: b17 bash problem with /dev/null on Windows 95 system
From: [email-masked] (Richard Donkin)

9 Dec 1996 14:04:19 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
Original-Sender: [email-masked]

In-Reply-To: <[email-masked]>
> Yesterday, I wrote about a problem with b17, bash, and /dev/null on a
> Windows 95 system.  Some people suggested that it might be caused by
> having an old copy of cygwin.dll somewhere but I am quite certain that
> I only have files from b17 installed.
> 
> In any case, I still have the problem but have since discovered that
> although
> 
>   bash$ echo foo > /dev/null
> 
> fails,
> 
>   bash$ echo foo > /dev/nul
> 
> works (?!).

I had this problem in trying to make RCS 5.7 - 'nul' is another NT/95 device 
name that is valid in every directory along with aux, lpt1, prn, etc.  

Suggestion - it might be worth putting in a horrible hack that normally maps 
<NT-device> at the API level to a file called '_<NT-device>'.  This hack 
would be disabled for any /dev/* names, and 'null' mapped to 'nul' in this 
directory, enabling /dev/null and /dev/<NT-device> to work properly.

Richard
--
[email-masked]                http://www.inside-edge.co.uk/
Inside Edge Consultancy           Client/Server and Internet Applications
PGP key from:  [email-masked]  -or-  http://www.four11.com/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".